package pps.core.base.service.data.base_diesel_generator;

import lombok.Data;
import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;

@Data
public class QueryBaseDieselGeneratorInput extends XPageInput {

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构name")
    private String ouName;

    @XText("设备名称")
    private String deviceName;

    @XText("出厂编号")
    private String makerNumber;

    @XText("柴发设备机组型号key(字典获取)")
    private String unitTypeKey;

    @XText("柴发设备机组型号name(字典获取)")
    private String unitTypeName;

    @XText("常用功率(KW)")
    private BigDecimal normalPower;

    @XText("备用功率(KW)")
    private BigDecimal standbyPower;

    @XText("排除已绑定线路标识")
    private String excludeIdFlag;

}
